Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           qastools
Version:        0.17.1
Release:        alt1_5
Summary:        Collection of desktop applications for ALSA

License:        GPLv3
URL:            http://xwmw.org/qastools
Source0:        http://downloads.sourceforge.net/%{name}/%{version}/%{name}_%{version}.tar.xz

Patch0:         qastools-0.17.1-desktop.patch
Patch1:         qastools-0.17.1-gcc47.patch

BuildRequires: ctest cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel
BuildRequires:  libalsa-devel
Source44: import.info

%description
QasTools is a collection of desktop applications for the Linux sound system
ALSA:

QasMixer
  Desktop mixer for ALSA's "Simple Mixer Interface" (alsamixer).
QasHctl
  Mixer for ALSA's more complex "High level Control Interface".
QasConfig
  Browser for the ALSA configuration tree.


%prep
%setup -q -n %{name}_%{version}
%patch0 -p1 -b .desktop
%patch1 -p1 -b .gcc47


%build
%{fedora_cmake}
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

for file in %{buildroot}/%{_datadir}/applications/*.desktop; do
    desktop-file-validate $file
done

%find_lang %{name} --with-qt


%files -f %{name}.lang
%doc CHANGELOG COPYING README TODO
%{_bindir}/qasconfig
%{_bindir}/qashctl
%{_bindir}/qasmixer
%{_datadir}/%{name}/
# Left find_lang take care of the language files
%exclude %{_datadir}/%{name}/l10n
%{_datadir}/applications/qasconfig.desktop
%{_datadir}/applications/qashctl.desktop
%{_datadir}/applications/qasmixer.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/qasconfig.1.*
%{_mandir}/man1/qashctl.1.*
%{_mandir}/man1/qasmixer.1.*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.17.1-alt1_5
- initial fc import

